## tkgate 1.8.7

=== bitmaps/Makefile ===
#
# Makefile for converting .xpm files to .gif file.  Unless you want to
# modify or create your own image files, there should be no need to
# use this makefile.  The makefile assumes that you have the "convert"
# utility from ImageMagick installed on your system.
#

.SUFFIXES:	.gif .xpm

all:
	@for f in *.xpm; do make $${f%.xpm}.gif ; done

.xpm.gif:	
	convert $< $@

=== debian/changelog ===
tkgate (1.8.7-4) unstable; urgency=low

  * QA upload.
  * Switch to DebSrc3.0 (quilt) format for patch handling.
  * Fix the path to gsim (Closes: #490945).
  * Specify stricter dependency on data package.
  * Upgrade to Tcl/Tk 8.5.

 -- Andrew O. Shadura <bugzilla@tut.by>  Thu, 29 Dec 2011 13:09:40 +0300

tkgate (1.8.7-3) unstable; urgency=low

  * QA upload.
  * Fix "FTBFS: ERROR: Unable to find library X11": apply patch from Ubuntu /
    Andreas Moog:
    - config.h: look for libraries in multiarch directory (LP: #755919)
    Explicitly build depend on dpkg-dev (>= 1.16.0).
    (Closes: #642793)
  * Update lintian overrides.
  * Add build-arch, build-indep targets in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Nov 2011 18:19:13 +0100

tkgate (1.8.7-2) unstable; urgency=low

  * QA upload.
  * Add missing Build-Depends on xutils-dev for /usr/bin/xmkmf (Closes: #536919)
  * Drop obsolete and (possibly accidental) Build-Depends on xutils.
  * Don't run deprecated dh_desktop.
  * Use Science/Electronics doc-base section instead of "electronics".
  * Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Jul 2009 11:29:35 +0200

tkgate (1.8.7-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to: Debian QA Group <packages@qa.debian.org>.
    (done by Barry deFreese, but lintian likes to have it in the first line)

  [ Barry deFreese ]
  * New upstream release.
    + Improved build system. (Closes: #464273).
  * Move DH_COMPAT to debian/compat.
  * Remove unused debhelper commands from rules.
  * Install in /usr/share instead of /usr/lib.
  * Escape manpage hyphens.
  * Install manpage in correct location and with correct name.
  * Add .desktop file and call dh_desktop. (Closes: #368794).
    + Thanks to Emmet Hikory.
  * Fix watch file.
  * Fix copyright file.
  * Remove URL from package description.
  * Split package into -data and -doc.
  * Bump Standards Version to 3.7.3.
    + Menu policy transition.

  [ Alexander Schmehl ]
  * changed build-dep to tcltk 8,4, since 8.3 is scheduled for removal and 8.5
    is not yet supported
  * added lintian overrides for two tcl-scripts having a shebang line
  * added symlink for the html-documentation in /usr/share/doc/tkgate if
    tkgate-doc is installed (therefore added the directy and a lintian
    override for an emtpy directory)
  * added lintian override for license.tcl, which is used to display the
    license in tkgate itself

 -- Barry deFreese <bddebian@comcast.net>  Mon, 18 Feb 2008 21:00:40 +0100

tkgate (1.8.6-2) unstable; urgency=low

  * xlibs-dev dependency -> libx11-dev (closes: #347078) 

 -- Nicolas Sabouret <nico@debian.org>  Wed, 11 Jan 2006 15:16:05 +0100

tkgate (1.8.6-1) unstable; urgency=low

  * New upstream release (closes: #333159)

 -- Nicolas Sabouret <nico@debian.org>  Thu, 13 Oct 2005 14:07:27 +0200

tkgate (1.8.4-1) unstable; urgency=low

  * New upstream release
  * Included some french translation (thanks to Georges Khaznadar)
  * Switch to /usr/share (FHS-compliance)

 -- Nicolas Sabouret <nico@debian.org>  Thu, 26 Aug 2004 13:44:02 +0200

tkgate (1.8.3-1) unstable; urgency=low

  * New upstream release

 -- Nicolas Sabouret <nico@debian.org>  Tue, 30 Mar 2004 15:01:07 +0200

tkgate (1.8.1-1) unstable; urgency=low

  * New upstream release (closes: #231781)

 -- Nicolas Sabouret <nico@debian.org>  Wed, 11 Feb 2004 17:08:50 +0100

tkgate (1.6i+patch-4) unstable; urgency=low

  * Rebuilt againts tcl/tk8.3-dev (closes: #213527)

 -- Nicolas Sabouret <nico@debian.org>  Fri, 10 Oct 2003 09:17:10 +0200

tkgate (1.6i+patch-3) unstable; urgency=low

  * Removed old versions of tcl/tk from Build-Depends (closes: #205719)

 -- Nicolas Sabouret <nico@debian.org>  Thu, 28 Aug 2003 16:19:17 +0200

tkgate (1.6i+patch-2) unstable; urgency=low

  * Changed doc location in scripts/licence.tcl (closes: #197303)

 -- Nicolas Sabouret <nico@debian.org>  Tue,  8 Jul 2003 10:42:05 +0200

tkgate (1.6i+patch-1) unstable; urgency=low

  * New upstream release
  * Patched src/common/vgrammar.y for bison>=1.5 (closes: #166000)

 -- Nicolas SABOURET <nico@debian.org>  Fri, 25 Oct 2002 16:52:03 +0200

tkgate (1.6i-1) unstable; urgency=low

  * New upstream release
  * Missing build-depends (closes: #126998)
  * Using dhelp

 -- Nicolas SABOURET <nico@debian.org>  Fri,  8 Feb 2002 18:25:12 +0100

tkgate (1.6h-2) unstable; urgency=low

  * Use tcl/tk 8.0 to build (closes: #126013)
  * doc-base description corrected

 -- Nicolas SABOURET <nico@debian.org>  Fri, 21 Dec 2001 10:26:51 +0100

tkgate (1.6h-1) unstable; urgency=low

  * Initial Release.

 -- Nicolas SABOURET <nico@debian.org>  Fri, 30 Nov 2001 10:38:06 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: tkgate
Section: electronics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>=5), tcl8.5-dev, tk8.5-dev, bison|byacc, flex, libx11-dev, dhelp, xutils-dev, dpkg-dev (>= 1.16.0)
Homepage: http://www.tkgate.org/

Package: tkgate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tkgate-data (= ${source:Version})
Recommends: tkgate-doc
Description: Event driven digital circuit simulator with Tcl/Tk
 TkGate is a event driven digital circuit simulator with a Tcl/Tk-based
 graphical editor. TkGate supports a wide range of primitive circuit
 elements as well as user-defined modules for hierarchical design. The
 distribution comes with a number of tutorial and example circuits which
 can be loaded through the "Help" menu. The example circuits include a
 simple CPU, programmed to run the Animals game.

Package: tkgate-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tkgate, tkgate-doc
Suggests:  tcl8.5, tk8.5
Description: Event driven digital circuit simulator with Tcl/Tk
 TkGate is a event driven digital circuit simulator with a Tcl/Tk-based
 graphical editor.
 .
 This package contains the architecture independent data files.

Package: tkgate-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Event driven digital circuit simulator with Tcl/Tk
 TkGate is a event driven digital circuit simulator with a Tcl/Tk-based
 graphical editor.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) cleanclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tkgate.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) install.man DESTDIR=$(CURDIR)/debian/tmp

	mv $(CURDIR)/debian/tmp/usr/share/man/man1/tkgate.1x \
		$(CURDIR)/debian/tmp/usr/share/man/man1/tkgate.1
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/gmac.1x \
		$(CURDIR)/debian/tmp/usr/share/man/man1/gmac.1

	rm -f $(CURDIR)/debian/tmp/usr/share/tkgate-1.8.7/COPYING
	rm -f $(CURDIR)/debian/tmp/usr/share/tkgate-1.8.7/doc/license.txt
	rm -rf $(CURDIR)/debian/tmp/usr/share/tkgate-1.8.7/libexec

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_install -i --list-missing
	dh_link -i -ptkgate-doc
	dh_installchangelogs -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -a
	dh_install -a --list-missing
	dh_installexamples -a
	dh_installmenu -a
	dh_installcron -a
	dh_installinfo -a
	dh_installchangelogs -a 
	dh_strip -a
	dh_compress -a -X.xbm -X.xpm -Xmenagerie.gm -Xbigcurs.b -Xsmallcurs.b
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

ftp://gadoid.ices.cmu.edu/pub/tkgate/tkgate-([\d.]+)\.tgz

## tkgate 2.0~b10

=== debian/changelog ===
tkgate (2.0~b10-5) unstable; urgency=medium

  * changed the field Homepage: in d/control, as the current version comes from
    http://perso.univ-perp.fr/guillaume.revy/teaching/softs/tkgate.html
  * upgraded Standards-Version to 3.9.8
  * deleted patch 03_config.diff. Closes: #811057
  * added d/sources/format
  * adjusted Maintainer: and Uploaders: fields for the Debian distribution.
    Closes: #750074
  * removed the deprecated build-dependency on hardening-wrappers, changed
    d/rules to make use of dpkg-buildflags
  * fixed typos signalled by lintian (d/patches/typos.patch)

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 27 Apr 2016 11:54:41 +0200

tkgate (2.0~b10-4) unstable; urgency=medium

  * applied Daniel T Chen's patch, thanks! Closes: #741818

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 31 Mar 2014 16:35:04 +0200

tkgate (2.0~b10-3) unstable; urgency=medium

  * removed the unsed build-dependency on dhelp, replaced it by a Recommends:
    for the package tkgate-doc. So the package is installable even if
    dhelp does not belong to the current distribution.
  * added the directory 'primitives' to the package tkgate-data. Created a
    versioned dependency between tkgate and tkgate-data.
    Closes: #549319
  * checked for #554464, which is not reproducible with the current (latest)
    version. Closes: #554464
  * checked for #351744, which is not reproducible with the current (latest)
    version. Closes: #351744

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 05 Mar 2014 11:24:29 +0100

tkgate (2.0~b10-2) unstable; urgency=medium

  * added myself as an uploader
  * upgraded Standards-Version to 3.9.5
  * added -lm to LDFLAGS in the target override_dh_auto_configure
  * made use of hardening-wrapper
  * added a taget override_dh_clean to remove files in libexec/
  * patched files which were shown erroneous by the hardening flags
  * removed obsolete dm-upload-allowed
  * modified a file to remove its shebang line, removed one lintian
    override.
  * fixed the file d/watch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 09 Feb 2014 17:45:10 +0100

tkgate (2.0~b10-1) experimental; urgency=low

  * New upstream release.
  * debian/compat: Bumped to 7
  * debian/control:
    + Bumped Standards-Version to 3.8.3 (no changes needed)
    + Moved to Git, hence updated Vcs-* fields.
    + Build-Depend on debhelper (>= 7.0.50~) to support override targets.
    + Build-Depend on quilt  (>= 0.46-7~) to support dh 7's --with quilt
  * debian/rules:
    + Simplified rules file.
    + Pass LDFLAGS="$(LDFLAGS) -Wl,--as-needed" to configure script to avoid
      linking tkgate with un-necessary libraries.
  * Added 04_typos.diff patch to fix some typos in messages printed by tkgate.
  * Added debian/README.source
  * Append to LDFLAGS variable instead of overriding it

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 04 Oct 2009 12:18:32 +0200

tkgate (2.0~b8-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patch 01_paths.diff.
  * debian/control:
    + added autotools-dev to Build-Depends.
    + Set debian-science as Maintainer, while added myself as an uploader.
    + Added DM-Upload-Allowed field.
    + Added Vcs-* fields.
    + Bump Standards-Version to 3.8.1
  * Added patch 03_config.diff to add a minimal code block to the top of 
    config.sub and config.guess, to call their up-to-date versions.
  * Removed patch 02_manpages.diff since it got merged upstream.
  * debian/copyright: 
    + converted to machine-readable format.
    + updated upstream author's email address.
    + updated upstream copyright years.
    + added copyright years for Debian packaging.
    + reformated the copyright file.
    + refer to /usr/share/common-licenses/GPL-2
  * debian/tkgate-doc.doc-base: updated upstream author's email address.
  * debian/watch: changed to pre-release URL, and used version mangling.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 26 Apr 2009 16:06:48 +0200

tkgate (2.0~b4-1) experimental; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.8.0.
  * Build-Depends on xutils-dev instead of xutils.
  * debian/tkgate.manpages: changed path of manpages to 
    debian/tmp/usr/share/man/man1
  * debian/control:
    + Used tk-dev and tcl-dev in Build-Depends instead of tk8.4-dev and 
      tcl8.4-dev.
    + Used tk and tcl in tkgate-data's Suggests field instead of tk8.4 and 
      tcl8.4.
    + Enhanced short description for tkgate-data & tkgate-doc.
    + Fixed typo in tkgate long description: langauge -> language.
  * Added descriptions to patch files.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 26 Jan 2009 16:14:55 +0200

tkgate (2.0~a11-1) experimental; urgency=low

  * New maintainer. (Closes: #464329)
  * New upstream release.
  * Used upstream description for debian/control.
  * Added tkgate-data.examples.
  * Used quilt patch system.
   . Removed patches since they are irrevelant in the new release, and patches
     for the manpages are in 02_manpages.diff.
   . Added 01_paths.diff patch to fix exec path for tkgate and verga.
  * Removed tkgate-data.dirs since it seems useless.
  * Removed lintian overrides that are irrevelant in the new release.
  * debian/tkgate-data.install:
   . Added site-preferences, povray, vlib and vpd.
   . Renamed bitmaps to images.
  * Added longtitle and icon to debian/menu.
  * Used dh_lintian to install lintian overrides.
  * Used dh_icons.
  * Upgrade to debhelper 6.0.7~ for dh_lintian.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 21 Apr 2008 12:33:59 +0200

=== debian/control ===
Source: tkgate
Section: electronics
Priority: optional
Maintainer:  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>=7.0.50~), tcl8.5-dev, tk8.5-dev, bison|byacc, flex,
 xutils-dev, libx11-dev, quilt (>= 0.46-7~), autotools-dev
Homepage: http://perso.univ-perp.fr/guillaume.revy/teaching/softs/tkgate.html
Vcs-Git: git://git.debian.org/git/debian-science/packages/tkgate.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/tkgate.git

Package: tkgate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tkgate-data (= ${source:Version})
Recommends: tkgate-doc
Description: Tcl/Tk based digital circuit editor and simulator
 TkGate is a digital circuit editor and simulator with a Tcl/Tk based
 interface. TkGate includes a large number of built-in devices including basic
 gates, memories, ttys and modules for hierarchical design. The simulator can
 be controlled either interactively or through a simulation script. Memory
 contents can be loaded from files, and a microcode/macrocode compiler (gmac)
 is included to create tkgate memory files from a high-level description. The
 simulator supports continuous simulation, single step simulation (by clock or
 epoch) and breakpoints. Save files are in a Verilog-like format.
 .
 TkGate also includes a number of tutorial and example circuits which can be
 loaded through the "Help" menu. The examples range from a simple gate-level
 3-bit adder to a 16-bit CPU programmed to play the "Animals" game.
 .
 TkGate has a multi-language interface with support for English, Japanese,
 French and Spanish.

Package: tkgate-data
Architecture: all
Depends: ${misc:Depends}
Recommends: tkgate, tkgate-doc
Suggests: tcl, tk
Description: Tcl/Tk based digital circuit editor and simulator - data files
 TkGate is a digital circuit editor and simulator with a Tcl/Tk based
 interface.
 .
 This package contains the architecture independent data files.

Package: tkgate-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: dhelp
Description: Tcl/Tk based digital circuit editor and simulator - documentation
 TkGate is a digital circuit editor and simulator with a Tcl/Tk based
 interface.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

%:
	dh $@ --with quilt,autotools_dev

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed -lm" \
			CPPFLAGS="$(CPPFLAGS)" \
			CFLAGS="$(CFLAGS)" \
			CXXFLAGS="$(CXXFLAGS)"

override_dh_install:
	dh_install -Xlicense.txt -Xlibexec

override_dh_compress:
	dh_compress -X.xbm -X.xpm -Xmenagerie.gm -Xbigcurs.b -Xsmallcurs.b

override_dh_clean:
	dh_clean
	rm -f libexec/*

=== debian/watch ===
version=3

opts=dversionmangle=s/~/-/ \
  http://www.tkgate.org/ .*/downloads/tkgate-([\d.ab-]+)\.tgz debian uupdate

## tkgate 2.1%2Brepack

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: tkgate
 Section: electronics
 Priority: optional
-Maintainer:  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Georges Khaznadar <georgesk@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>=7.0.50~), tcl8.5-dev, tk8.5-dev, bison|byacc, flex,
- xutils-dev, libx11-dev, quilt (>= 0.46-7~), autotools-dev
-Homepage: http://perso.univ-perp.fr/guillaume.revy/teaching/softs/tkgate.html
-Vcs-Git: git://git.debian.org/git/debian-science/packages/tkgate.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/tkgate.git
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
+ Georges Khaznadar <georgesk@debian.org>
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (=13),
+ tcl-dev,
+ tk-dev,
+ bison|byacc,
+ flex,
+ xutils-dev,
+ libx11-dev,
+ libpango1.0-dev
+Homepage: http://www.tkgate.org/
+Vcs-Browser: https://salsa.debian.org/science-team/tkgate.git
+Vcs-Git: https://salsa.debian.org/science-team/tkgate.git
 
 Package: tkgate
 Architecture: any
@@ -36,6 +44,7 @@
 Depends: ${misc:Depends}
 Recommends: tkgate, tkgate-doc
 Suggests: tcl, tk
+Multi-Arch: foreign
 Description: Tcl/Tk based digital circuit editor and simulator - data files
  TkGate is a digital circuit editor and simulator with a Tcl/Tk based
  interface.
@@ -46,7 +55,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: dhelp
+Multi-Arch: foreign
 Description: Tcl/Tk based digital circuit editor and simulator - documentation
  TkGate is a digital circuit editor and simulator with a Tcl/Tk based
  interface.

## tkgate 2.1+repack

=== netbeans/common/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_PLATFORM_${CONF}       platform name (current configuration)
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin


# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...


# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# build tests
build-tests: .build-tests-post

.build-tests-pre:
# Add your pre 'build-tests' code here...

.build-tests-post: .build-tests-impl
# Add your post 'build-tests' code here...


# run tests
test: .test-post

.test-pre: build-tests
# Add your pre 'test' code here...

.test-post: .test-impl
# Add your post 'test' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk

=== netbeans/tkgate/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_PLATFORM_${CONF}       platform name (current configuration)
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
# CC=g++
LINK=g++

# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...


# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# build tests
build-tests: .build-tests-post

.build-tests-pre:
# Add your pre 'build-tests' code here...

.build-tests-post: .build-tests-impl
# Add your post 'build-tests' code here...


# run tests
test: .test-post

.test-pre: build-tests
# Add your pre 'test' code here...

.test-post: .test-impl
# Add your post 'test' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk

=== debian/changelog ===
tkgate (2.1+repack-8) unstable; urgency=medium

  * new debian patch: changes-for-gcc-15; Closes: #1098005
  * bumped Standards-Version: 4.7.2

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Oct 2025 16:20:29 +0200

tkgate (2.1+repack-7) unstable; urgency=medium

  * applied lamby's patch, thanks! Closes: #1071064

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 May 2024 11:25:37 +0200

tkgate (2.1+repack-6) unstable; urgency=medium

  * improved the French translation.
  * overridden dh_auto_clean, to remove the directory libexec/.
    Closes: #1045635
  * bumped Standards-Version: 4.6.2, debhelper-compat (=13)
  * fixed bugs raised by dh_missing
  * added d/salsa-ci.yml and autopkgtests

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Jan 2024 10:52:06 +0100

tkgate (2.1+repack-5) unstable; urgency=medium

  * fixed the watch file: new upstream source repository
    at https://github.com/glixx/tkgate

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Jan 2022 17:40:02 +0100

tkgate (2.1+repack-4) unstable; urgency=medium

  * applied sei-lisa's patch, thanks! Closes:  #968605
  * updated Standards-Version: 4.5.0, debhelper-compat = 12

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Aug 2020 19:33:38 +0200

tkgate (2.1+repack-3) unstable; urgency=medium

  * modified the installation file for of tkgate-doc, thanks to
    Alexey Loginov's hints: added the subdirectory fig/ and the
    css file.
  * added a file to redirect from /usr/share/tgate/index.html to
    /usr/share/tgate/en/index.html

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Jan 2019 17:29:11 +0100

tkgate (2.1+repack-2) unstable; urgency=medium

  * removed d/tkgate.desktop to take in account the upstream's file
  * removed d/tkgate.xpm to take in account the upstream's file
  * modified the install for package tkgate-doc
  * removed d/tkgate-doc.doc-base

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Jan 2019 17:58:57 +0100

tkgate (2.1+repack-1) unstable; urgency=medium

  * updated the watch file to upgrade to the newer version on another
    repository, https://bitbucket.org/starling13/tkgate. Closes: #916665
  * upgraded to new upstream version 2.1
  * updated debian patches (many of them are removed)
  * updated Standards-Version: 4.3.0, dh level: 11
  * added a build-dependency on libpango1.0-dev
  * applied Helmut Grohne's patches. Closes: #911394
  * checked that upstream changes comply with Helmut Grohne's patch
    named cross.patch. Closes: #912681
  * removed upstream files doc/fig/valid-html401.png and doc/valid-html401.png
    as they are non-free; updated d/copyright and d/watch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Jan 2019 18:03:52 +0100

tkgate (2.0~b10-6) unstable; urgency=medium

  * updated Vcs-Browser and Vcs-Git fields in d/control to take in
    account the new repository salsa.d.o
  * made the dependency tkgate -> tkgate-data more precise regarding the
    version number
  * checked that dhelp is no longer a dependency. Closes: #860493
  * recompiled against the latest versions of Tcl/Tk. Closes: #887918
  * applied Chris Lamb's patch. Closes: #890577
  * updated debian/copyright
  * removed the obsoleted field DM-Upload-Allowed from d/control
  * removed debian/menu since there is a desktop file

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Feb 2018 18:25:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tkgate
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
  Georges Khaznadar <georgesk@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (=13),
  tcl-dev,
  tk-dev,

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf libexec/
	find test/ -name *.out | xargs rm -f

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_install:
	dh_install -Xlicense.txt -Xlibexec

override_dh_compress:
	dh_compress -X.xbm -X.xpm -Xmenagerie.gm -Xbigcurs.b -Xsmallcurs.b

override_dh_auto_test:
	cd test/ && sh runtests.sh
	find test/ -name *.out | xargs rm -f

=== debian/tests/control ===
Tests: verga,
Depends: @

=== debian/watch ===
version=4

opts="dversionmangle=s/\+repack(\d*)//,repack,repacksuffix=+repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tkgate-$1.tar.gz%" \
   https://github.com/glixx/tkgate/tags \
   /glixx/tkgate/archive/refs/tags/tkgate-[vV]?(\d[.\d]*)\.tar\.gz debian uupdate
